Subject: bug#15045: Point jumps inappropriately around time of Semantic lexing

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 Aug 2013 13:22:52 +0300

> From: David Engster <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],  [email-masked]
> Date: Sat, 10 Aug 2013 11:54:32 +0200
> 
> Eli Zaretskii writes:
> >> From: David Engster <[email-masked]>
> >> Yes. But it shows that this bug is easy to make, and it's hard to track
> >> down.
> >
> > It is also very rare.
> 
> I don't think the bug is rare. I do think that this bug being triggered
> is rare, since we don't have many non-idle timers in Emacs that trigger
> redisplay

The last sentence exactly means that the bug is rare.

> (are there others in Emacs core besides the display-time event
> handler?).

And so does this.

> It might be fun to work for a while with a dummy timer which
> triggers redisplay once a second or so.

Customize display-time-interval to 1 (after restoring the sit-for that
got deleted), and you've got that.  I'm running for years with that
variable customized to 5 sec, and never saw any unwarranted movement
of point or scrolling.  That's "rare" in my book.

> I also think this bug is seldomly reported because it's impossible to
> give a recipe if you don't know that it is a timer that triggers it
> (which is why I never bothered to report the bug in speck-mode).

The bug database is replete with problems that are not reproducible,
so I'm quite sure people would report them regardless.